﻿using ImageProcessingGraph.Editor.Nodes.NodeAttributes;
using Unity.Burst;
using Unity.Collections;
using Unity.Jobs;
using UnityEngine;

namespace ImageProcessingGraph.Editor.Nodes.Fun_Nodes.Texture
{
    [NodeInfoAttribute("Get Dimensions", "Dimensions/Get Dimensions", false, docuementationURL:"https://git.sam-green.dev/Chromum/UnityImageProcessing_Package/wiki/Nodes%2FImage%2FGetDimensions")]
    public class TextureGetDimensions : BaseImageNode
    {
        [NodeAttributes.Input("")]
        public ImageData inputTexture;
        
        [NodeAttributes.Output("Width")]
        public int width;
        
        [NodeAttributes.Output("Height")]
        public int height;

        public override void Process()
        {
            this.width = inputTexture.Width;
            this.height = inputTexture.Height;
        }
    }
}
